<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>TestFilter (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="TestFilter (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/tasks/testing/TestExecutionException.html" title="class in org.gradle.api.tasks.testing"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/tasks/testing/TestFrameworkOptions.html" title="class in org.gradle.api.tasks.testing"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/testing/TestFilter.html" target="_top">Frames</a></li>
<li><a href="TestFilter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks.testing</div>
<h2 title="Interface TestFilter" class="title">Interface TestFilter</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">TestFilter</span></pre>
<div class="block">Allows filtering tests for execution. Some examples:

 <pre class='autoTested'>
   apply plugin: 'java'

   test {
       filter {
          //specific test method
          includeTestsMatching "org.gradle.SomeTest.someSpecificFeature"

          //specific test method, use wildcard for packages
          includeTestsMatching "*SomeTest.someSpecificFeature"

          //specific test class
          includeTestsMatching "org.gradle.SomeTest"

          //specific test class, wildcard for packages
          includeTestsMatching "*.SomeTest"

          //all classes in package, recursively
          includeTestsMatching "com.gradle.tooling.*"

          //all integration tests, by naming convention
          includeTestsMatching "*IntegTest"

          //only ui tests from integration tests, by some naming convention
          includeTestsMatching "*IntegTest*ui"

          //specific test class and test method
          includeTest "org.gradle.SomeTest", "someTestMethod"
       }
   }

 </pre></div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>1.10</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/testing/TestFilter.html#getIncludePatterns()">getIncludePatterns</a></strong>()</code>
<div class="block">Returns the included test name patterns.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/testing/TestFilter.html" title="interface in org.gradle.api.tasks.testing">TestFilter</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/testing/TestFilter.html#includeTest(java.lang.String,%20java.lang.String)">includeTest</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;className,
           <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;methodName)</code>
<div class="block">Add a test method specified by test class name and method name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/testing/TestFilter.html" title="interface in org.gradle.api.tasks.testing">TestFilter</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/testing/TestFilter.html#includeTestsMatching(java.lang.String)">includeTestsMatching</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;testNamePattern)</code>
<div class="block">Appends a test name pattern to the filter.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/testing/TestFilter.html#isFailOnNoMatchingTests()">isFailOnNoMatchingTests</a></strong>()</code>
<div class="block">Returns whether the task should fail if no matching tests where found.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/testing/TestFilter.html#setFailOnNoMatchingTests(boolean)">setFailOnNoMatchingTests</a></strong>(boolean&nbsp;failOnNoMatchingTests)</code>
<div class="block">Let the test task fail if a filter configuration was provided but no test matched the given configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/testing/TestFilter.html" title="interface in org.gradle.api.tasks.testing">TestFilter</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/testing/TestFilter.html#setIncludePatterns(java.lang.String...)">setIncludePatterns</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;testNamePatterns)</code>
<div class="block">Sets the test name patterns to be included in the filter.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="includeTestsMatching(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>includeTestsMatching</h4>
<pre><a href="../../../../../org/gradle/api/tasks/testing/TestFilter.html" title="interface in org.gradle.api.tasks.testing">TestFilter</a>&nbsp;includeTestsMatching(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;testNamePattern)</pre>
<div class="block">Appends a test name pattern to the filter. Wildcard '*' is supported, either test method name or class name is supported. Examples of test names: "com.foo.FooTest.someMethod",
 "com.foo.FooTest", "*FooTest*", "com.foo*". See examples in the docs for <a href="../../../../../org/gradle/api/tasks/testing/TestFilter.html" title="interface in org.gradle.api.tasks.testing"><code>TestFilter</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>testNamePattern</code> - test name pattern to include, can be class or method name, can contain wildcard '*'</dd>
<dt><span class="strong">Returns:</span></dt><dd>this filter object</dd></dl>
</li>
</ul>
<a name="getIncludePatterns()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIncludePatterns</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getIncludePatterns()</pre>
<div class="block">Returns the included test name patterns. They can be class or method names and may contain wildcard '*'. Test name patterns can be appended via <a href="../../../../../org/gradle/api/tasks/testing/TestFilter.html#includeTestsMatching(java.lang.String)"><code>includeTestsMatching(String)</code></a> or set via
 <a href="../../../../../org/gradle/api/tasks/testing/TestFilter.html#setIncludePatterns(java.lang.String...)"><code>setIncludePatterns(String...)</code></a>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>included test name patterns</dd></dl>
</li>
</ul>
<a name="setIncludePatterns(java.lang.String...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIncludePatterns</h4>
<pre><a href="../../../../../org/gradle/api/tasks/testing/TestFilter.html" title="interface in org.gradle.api.tasks.testing">TestFilter</a>&nbsp;setIncludePatterns(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;testNamePatterns)</pre>
<div class="block">Sets the test name patterns to be included in the filter. Wildcard '*' is supported. Replaces any existing test name patterns.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>testNamePatterns</code> - class or method name patterns to set, may contain wildcard '*'</dd>
<dt><span class="strong">Returns:</span></dt><dd>this filter object</dd></dl>
</li>
</ul>
<a name="includeTest(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>includeTest</h4>
<pre><a href="../../../../../org/gradle/api/tasks/testing/TestFilter.html" title="interface in org.gradle.api.tasks.testing">TestFilter</a>&nbsp;includeTest(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;className,
                     <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;methodName)</pre>
<div class="block">Add a test method specified by test class name and method name.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>className</code> - the class name of the test to execute</dd><dd><code>methodName</code> - the method name of the test to execute. Can be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this filter object</dd></dl>
</li>
</ul>
<a name="setFailOnNoMatchingTests(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFailOnNoMatchingTests</h4>
<pre>void&nbsp;setFailOnNoMatchingTests(boolean&nbsp;failOnNoMatchingTests)</pre>
<div class="block">Let the test task fail if a filter configuration was provided but no test matched the given configuration.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>failOnNoMatchingTests</code> - whether a test task should fail if no test is matching the filter configuration.</dd></dl>
</li>
</ul>
<a name="isFailOnNoMatchingTests()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isFailOnNoMatchingTests</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
boolean&nbsp;isFailOnNoMatchingTests()</pre>
<div class="block">Returns whether the task should fail if no matching tests where found.
 The default is true.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/tasks/testing/TestExecutionException.html" title="class in org.gradle.api.tasks.testing"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/tasks/testing/TestFrameworkOptions.html" title="class in org.gradle.api.tasks.testing"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/testing/TestFilter.html" target="_top">Frames</a></li>
<li><a href="TestFilter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
